using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using FingersDance.Control.TimeLine;

namespace FingersDance.Actions
{
    public class ActionStartOrEndAnnotation : FingersDance.Actions.ActionBase
    {
        
        private string _Text = "";
        private UserControlTimeLine myTimeline;

        public ActionStartOrEndAnnotation()
        {
            
        }

        public ActionStartOrEndAnnotation(string text)
        {
            _Text = text;
        }

        public ActionStartOrEndAnnotation(UserControlTimeLine uct)
        {
            myTimeline = uct;
        }

        public void Execute()
        {
            if (myTimeline != null)
                myTimeline.startOrEndAnnotation();
        }
    }
}

